<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.ha-policy.replication-colocated.configuration.secondary" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="allow-failback,cluster-name,group-name,initial-replication-sync-timeout,max-saved-replicated-journal-size,restart-backup,scale-down,scale-down-cluster-name,scale-down-commit-interval,scale-down-connectors,scale-down-discovery-group,scale-down-group-name"/>
        <elem name="addr-params" value="profile,subsystem,server,ha-policy,configuration"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server.ha-policy.replication-colocated"/>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="ha-policy" feature-id="true" default="replication-colocated"/>
        <param name="configuration" feature-id="true" default="secondary"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="scale-down-connectors" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="max-saved-replicated-journal-size" nillable="true" stability="default"/>
        <param name="scale-down-group-name" nillable="true" stability="default"/>
        <param name="cluster-name" nillable="true" stability="default"/>
        <param name="scale-down" nillable="true" stability="default"/>
        <param name="restart-backup" nillable="true" stability="default"/>
        <param name="scale-down-cluster-name" nillable="true" stability="default"/>
        <param name="group-name" nillable="true" stability="default"/>
        <param name="initial-replication-sync-timeout" nillable="true" stability="default"/>
        <param name="scale-down-discovery-group" nillable="true" stability="default"/>
        <param name="scale-down-commit-interval" nillable="true" stability="default"/>
        <param name="allow-failback" nillable="true" stability="default"/>
    </params>
</feature-spec>